package org.jboss.cache.eviction;

import org.jboss.cache.Fqn;
import org.jboss.cache.TreeCache;

/**
 * @author Ben Feb 13, 2004
 */
public class DummyEvictionPolicy extends BaseEvictionPolicy
{
   public void evict(Fqn fqn) throws Exception
   {
      // no-op
//      throw new RuntimeException("Testing only");
   }

   public int getWakeupIntervalSeconds()
   {
      return 0;  //To change body of implemented methods use File | Settings | File Templates.
   }

   public void configure(TreeCache cache)
   {
      // no op
   }

   public EvictionAlgorithm getEvictionAlgorithm()
   {
      // no op
      return null;
   }

   public Class getEvictionConfigurationClass()
   {
      return null;  //To change body of implemented methods use File | Settings | File Templates.
   }


}
